Skip to main content
GET
/
consumers
/
{consumer_id}
/
commerce
/
products
/
{product_id}
Get one specific product
curl --request GET \
  --url https://api.chift.eu/consumers/{consumer_id}/commerce/products/{product_id}
{
  "id": "<string>",
  "source_ref": {
    "id": "<string>",
    "model": "<string>"
  },
  "name": "<string>",
  "description": "<string>",
  "description_html": "<string>",
  "categories": [],
  "created_on": "2023-11-07T05:31:56Z",
  "last_updated_on": "2023-11-07T05:31:56Z",
  "variants": [],
  "sku": "<string>",
  "common_attributes": [],
  "variant_attributes_options": [],
  "common_images": []
}

Documentation Index

Fetch the complete documentation index at: https://docs.chift.eu/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

consumer_id
string<uuid>
required
product_id
string
required

Response

Successful Response

id
string
required

Technical id in Chift

source_ref
Ref · object
required

Technical id in the target software

name
string
required
description
string | null
description_html
string | null
categories
CommerceProductCategoryItem · object[] | null
created_on
string<date-time> | null
last_updated_on
string<date-time> | null
variants
ProductVariantItem · object[] | null
status
enum<string> | null
Available options:
unknown,
archived,
unpublished,
published
sku
string | null
common_attributes
CommonAttributeItem · object[] | null

List of attributes that are shared by all variants of the product.

variant_attributes_options
VariantAttributeOptionItem · object[] | null
common_images
ImageItem · object[] | null

List of images that are shared by all variants of the product.